org.jboss.netty.buffer

## Interface WrappedChannelBuffer

- All Superinterfaces:
    ChannelBuffer, Comparable<ChannelBuffer>
  All Known Implementing Classes:
    DuplicatedChannelBuffer, ReadOnlyChannelBuffer, SlicedChannelBuffer, TruncatedChannelBuffer

      public interface WrappedChannelBuffer
      extends ChannelBuffer

  The common interface for buffer wrappers and derived buffers. Most users won't need to use this interface. It is used internally in most cases.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChannelBuffer` | `unwrap()` Returns this buffer's parent that this buffer is wrapping.

    - ### Methods inherited from interface org.jboss.netty.buffer.ChannelBuffer

      `array, arrayOffset, bytesBefore, bytesBefore, bytesBefore, bytesBefore, bytesBefore, bytesBefore, capacity, clear, compareTo, copy, copy, discardReadBytes, duplicate, ensureWritableBytes, equals, factory, getByte, getBytes, getBytes, getBytes, getBytes, getBytes, getBytes, getBytes, getBytes, getChar, getDouble, getFloat, getInt, getLong, getMedium, getShort, getUnsignedByte, getUnsignedInt, getUnsignedMedium, getUnsignedShort, hasArray, hashCode, indexOf, indexOf, isDirect, markReaderIndex, markWriterIndex, order, readable, readableBytes, readByte, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readChar, readDouble, readerIndex, readerIndex, readFloat, readInt, readLong, readMedium, readShort, readSlice, readSlice, readUnsignedByte, readUnsignedInt, readUnsignedMedium, readUnsignedShort, resetReaderIndex, resetWriterIndex, setByte, setBytes, setBytes, setBytes, setBytes, setBytes, setBytes, setBytes, setBytes, setChar, setDouble, setFloat, setIndex, setInt, setLong, setMedium, setShort, setZero, skipBytes, skipBytes, slice, slice, toByteBuffer, toByteBuffer, toByteBuffers, toByteBuffers, toString, toString, toString, toString, toString, toString, toString, writable, writableBytes, writeByte, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeMedium, writerIndex, writerIndex, writeShort, writeZero`

- - ### Method Detail

    - #### unwrap

          ChannelBuffer unwrap()

      Returns this buffer's parent that this buffer is wrapping.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.